[opm] mention Dune version dependency for OPM

5 jobs for !3000 with fix/for-current-opm-Version
latest merge request